cancel
Showing results for 
Search instead for 
Did you mean: 

I have 3.6, but cannot successfully download upgrade

Highlighted
New User

I have 3.6, but cannot successfully download upgrade

I ran the download several times this morning. It appears to run OK, but I still get the message that my version of Firefox is no longer protected against on-line attacks. Get the upgrade - it's fast & free What am I missing??

1 REPLY
Shooting Star

Re: I have 3.6, but cannot successfully download upgrade

Reset your User Agent using the instructions below. Something is causing your User Agent to not update with the new version number. The information submitted with your question shows that you are using Firefox 3.5.8


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.



Not related to your question, but...

You may need to update some plug-ins. Check your plug-ins and update as necessary: